DECLARE @dt VARCHAR(100)
SELECT @dt = DATA_TYPE FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'ReservationAddress' AND COLUMN_NAME = 'INITIAL'
IF @dt = 'char'
BEGIN
  ALTER TABLE ReservationAddress ALTER COLUMN Initial VARCHAR(30) NULL
  UPDATE ReservationAddress SET Initial = RTRIM(Initial) WHERE Initial IS NOT NULL
END